%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	An archive manager for GNOME
Name:		file-roller
Version:	3.4.1
Release:	%mkrel 1
License:	GPLv2+
URL:		http://download.gnome.org/sources/file-roller/
Group:		Archiving/Compression
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.2
BuildRequires:	pkgconfig(libnautilus-extension) >= 2.22.2
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(gnome-doc-utils) >= 0.3.2
BuildRequires:	magic-devel
BuildRequires:	intltool

Requires(pre):	GConf2
# for the gsettings schema
Requires:	nautilus

Requires:	packagekit-gui

Obsoletes:      %{name}-nautilus < 3.0.2-2

%description
File Roller is an archive manager for the GNOME environment.  This means that 
you can : create and modify archives; view the content of an archive; view a 
file contained in the archive; extract files from the archive.
File Roller is only a front-end (a graphical interface) to archiving programs 
like tar and zip. The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
          * lzma (.tar.lzma , .tlz)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress, lzop, lzma
    * ISO images

%package nautilus
Summary:	File Roller extension for nautilus
Group:		User Interface/Desktops
Requires:	%{name} = %{version}-%{release}

%description nautilus
This package contains the file-roller extension for the nautilus file manger.
It adds an item to the nautilus contexst menu that lets you compress files
or directories.

%prep
%setup -q

%build
%configure2_5x \
	--disable-scrollkeeper \
	--enable-packagekit \
	--enable-magic \
	--disable-static \
	--enable-nautilus-actions

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome --all-name

#remove unpackaged files
rm -rf %{buildroot}%{_libdir}/nautilus/extensions-3.0/*.{la,a}
rm -rf %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
rm -rf %{buildroot}/var/scrollkeeper

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/file-roller
%{_datadir}/file-roller
%{_datadir}/applications/file-roller.desktop
%{_libexecdir}/file-roller
%{_libexecdir}/file-roller-server
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/icons/hicolor/*/apps/file-roller.png
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/GConf/gsettings/file-roller.convert
%{_libdir}/nautilus/extensions-3.0/libnautilus-fileroller.so


%changelog

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231119
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226898
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224544
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220295
- new version 3.3.91

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212324
- new version

* Tue Feb 07 2012 fwang <fwang> 3.3.3-1.mga2
+ Revision: 205754
- new version 3.3.3

* Mon Jan 16 2012 ovitters <ovitters> 3.3.2-1.mga2
+ Revision: 197038
- new version

* Mon Dec 19 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 184559
- new version 3.3.1

* Sun Nov 27 2011 wally <wally> 3.2.2-2.mga2
+ Revision: 172839
- own omf dir

* Wed Nov 16 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 168103
- new version 3.2.2

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155958
- new version 3.2.1

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148918
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145769
- new version 3.1.92

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139324
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136373
- new version 3.1.90

  + wally <wally>
    - new version 3.1.2
    - new version 3.1.1
    - enable libmagic support
    - clean BRs and use pkgconfig() style if possible
    - clean .spec a bit

* Thu Jul 14 2011 ahmad <ahmad> 3.0.2-4.mga2
+ Revision: 124068
- Use %%configure2_5x
- Drop some no-longer-exist configure options
- Add back the packagekit-gui requires
- Drop the chrpath bits, not needed any more

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.2-3.mga2
+ Revision: 111358
- Fix obsoletes

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 111357
- Merge libnautilus-fileroller.so in file-roller package as file-roller requires nautilus and nothing requires this extension ( ahmad )
- Remove what is handled by filetriggers
  remove useless macros

* Tue Jun 21 2011 dams <dams> 3.0.2-1.mga2
+ Revision: 111244
- Update to 3.0.2
- Clean spec file and update BR

* Wed Apr 27 2011 ahmad <ahmad> 2.32.2-1.mga1
+ Revision: 91874
- Update to 2.32.2

* Sun Feb 20 2011 eandry <eandry> 2.32.1-2.mga1
+ Revision: 54932
- BR libsm-devel

  + wally <wally>
    - drop buildroot definition
    - clean .spec a bit
    - imported package file-roller


* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597829
- update to new version 2.32.1

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581501
- update to new version 2.32.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578091
- update to new version 2.31.92

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574540
- update to new version 2.31.91

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570625
- new version
- update file list

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 2.31.5-1mdv2011.0
+ Revision: 565368
- update to new version 2.31.5

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.4-1mdv2011.0
+ Revision: 563576
- new version
- bump deps

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550827
- update to new version 2.30.2

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.1.1-1mdv2010.1
+ Revision: 539482
- update to new version 2.30.1.1

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539300
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528927
- new version
- drop patch

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-3mdv2010.1
+ Revision: 518309
- fix desktop entry

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-2mdv2010.1
+ Revision: 516983
- new version
- drop patches

* Wed Feb 24 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.91-2mdv2010.1
+ Revision: 510570
- Enable packagekit support
- replace hard dependency with soft dependency for isotools
- Patch0 (git): fix command detection after package installation
- Patch1 (git): fix packagekit activation
- do not modify .desktop file, no needed anymore

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509761
- update to new version 2.29.91

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502710
- update to new version 2.29.90

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 496503
- update to new version 2.29.5

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 489893
- update to new version 2.29.4

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 481216
- new version
- drop patch

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 475389
- new version
- fix build

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458818
- Release 2.28.1

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447060
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437458
- update to new version 2.27.92

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420602
- update to new version 2.27.91

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414693
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 401415
- update to new version 2.27.3

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 395687
- update to new version 2.27.2

* Tue Jun 16 2009 Funda Wang <fwang@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 386246
- New version 2.27.1

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377374
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366924
- update to new version 2.26.1

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 363034
- fix omf file list

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356052
- new version
- update file list

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347447
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341390
- update to new version 2.25.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336611
- update to new version 2.25.90

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 331532
- update to new version 2.25.2

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 325444
- update to new version 2.25.1

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 306429
- update to new version 2.24.2

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295946
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286918
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282755
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278577
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 273542
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 263571
- new version

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-3mdv2009.0
+ Revision: 240605
- fix previous fix

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-2mdv2009.0
+ Revision: 240233
- fix desktop file

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 240057
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 231127
- new version
- bump deps

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 2.22.4-1mdv2009.0
+ Revision: 230531
- new version
- update license
- update buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 211578
- new version

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 193624
- new version
- bump nautilus dep

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 185282
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 174981
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165701
- new version
- fix rpmlint errors

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 159641
- new version
- new nautilus extensions dir

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 146371
- new version
- drop patch 0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 113310
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98656
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89348
- new version

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79031
- new version

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72372
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63274
- new version

  + Funda Wang <fwang@mandriva.org>
    - drop old menu

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 56659
- new version

* Sat Jul 14 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.19.3-2mdv2008.0
+ Revision: 52081
- add lzma support (P0)

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 41334
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 36156
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.3-1mdv2008.0
+ Revision: 32206
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 14424
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142086
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126056
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120204
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112063
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106277
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 99087
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90777
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 87709
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 86436
- bot rebuild
- new version

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-4mdv2006.0
+ Revision: 64778
- rebuild
- rebuild
- rebuild
- Import file-roller

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.93-1mdv2007.0
- New release 2.15.93

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.1

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2007.0
- New release 2.14.3

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Fix buildrequires

* Sat Oct 08 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- replace prereq
- fix buildrequires

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 2.10.4-1mdk
- New release 2.10.4

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-1mdk 
- Release 2.10.2 (based on Gtz Waschk package)

* Tue Feb 15 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.4-1mdk
- New release 2.8.4

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-3mdk 
- Rebuild with latest howl

* Fri Nov 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-2mdk
- Add dependency on cdrecord-isotools

* Thu Oct 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-1mdk
- New release 2.8.3

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Add lang tag to omf files

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- drop patch
- New release 2.6.2

* Thu May 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk
- Patch0 (CVS): update recent-files to latest CVS version (Mdk bug #9687)

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)

